Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2867063002: Stability instrumentation Crashpad integration (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by manzagop (departed)
Modified:
2 months, 4 weeks ago
CC:
chromium-reviews, sadrul, droger+watchlist_chromium.org, blundell+watchlist_chromium.org, sdefresne+watchlist_chromium.org, jam, darin-cc_chromium.org, kalyank
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Stability instrumentation Crashpad integration The stability instrumentation is about Chrome recording internal state to a memory mapped file as it is running. It is currently used experimentally on Windows only. This CL makes use of Crashpad's extensibility mechanism to collect information from the stability file on crash, and include it within the crash report as an additional minidump user stream. DETAILS: - The browser process now passes the user data dir to the crash handler's command line. - The handler process creates the Crashpad extension that will search for a stability file on any crash. If the file is found (currently only possible for instrumented browser processes), it is collected and the information is added to the crash report. On successful collection the stability file is deleted. TESTING - launch chrome with the stability instrumentation: chrome.exe --user-data-dir=<data-dir> --enable-features=StabilityDebugging - validate the presence of the stability file in <data-dir>/Stability - trigger a crash (visit chrome://inducebrowsercrashforrealz) - validate the deletion of the the stability file in <data-dir>/Stability - validate the presence of a crash report in <data-dir>/Crashpad/Reports and ensure it contains the additional stream, either with dumpchk.exe or the dump_stability build target. BUG=718437 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.win:win10_chromium_x64_rel_ng Review-Url: https://codereview.chromium.org/2867063002 Cr-Commit-Position: refs/heads/master@{#474759} Committed: https://chromium.googlesource.com/chromium/src/+/fecdf607e706474b65a4d26e554f0504aead3f3e

Patch Set 1 #

Patch Set 2 : Mac user data dir plumbing #

Patch Set 3 : mac compile issues (aka trybot development) #

Patch Set 4 : second try: user data dir only known to embedder #

Patch Set 5 : some loose ends #

Patch Set 6 : Moar comments and fixups #

Total comments: 18

Patch Set 7 : Address Siggi's first round #

Total comments: 6

Patch Set 8 : Merge / Siggi second round #

Total comments: 20

Patch Set 9 : Siggi round 3 #

Total comments: 26

Patch Set 10 : siggi + grt round #

Patch Set 11 : Explicit destructor for PrimaryInstallDetails (style checker) #

Patch Set 12 : fix setup target compilation #

Patch Set 13 : merge #

Patch Set 14 : MakeProductDetails checks CurrentProcessNeedsProfileDir #

Total comments: 18

Patch Set 15 : fully switch to InstallDetails userdatadir via helper #

Patch Set 16 : process type: auto init + crashpad handler type #

Total comments: 12

Patch Set 17 : grt+scottmg comments #

Total comments: 2

Patch Set 18 : merge #

Patch Set 19 : Fix some comments #

Patch Set 20 : clang compile #

Total comments: 10

Patch Set 21 : Drop IsProcessTypeInitialized #

Patch Set 22 : Remove leftover IsProcessTypeInitialized in test #

Patch Set 23 : merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+443 lines, -137 lines) Patch
M chrome/app/chrome_crash_reporter_client_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 3 chunks +9 lines, -3 lines 0 comments Download
M chrome/app/chrome_exe_main_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +3 lines, -1 line 0 comments Download
M chrome/app/chrome_main_delegate.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +10 lines, -14 lines 0 comments Download
M chrome/install_static/install_details.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 5 chunks +36 lines, -1 line 0 comments Download
M chrome/install_static/install_details.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/install_static/install_util.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +15 lines, -8 lines 0 comments Download
M chrome/install_static/install_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 6 chunks +29 lines, -9 lines 0 comments Download
M chrome/install_static/install_util_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +0 lines, -1 line 0 comments Download
M chrome/install_static/product_install_details.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +10 lines, -0 lines 0 comments Download
M chrome/install_static/user_data_dir.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +8 lines, -7 lines 0 comments Download
M chrome/install_static/user_data_dir.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 4 chunks +11 lines, -24 lines 0 comments Download
M chrome/install_static/user_data_dir_win_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 6 chunks +12 lines, -12 lines 0 comments Download
M chrome/installer/setup/installer_crash_reporting.cc View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M chrome/installer/setup/setup_main.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -1 line 0 comments Download
M chrome_elf/chrome_elf.def View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +0 lines, -1 line 0 comments Download
M chrome_elf/chrome_elf_main.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +0 lines, -17 lines 0 comments Download
M components/browser_watcher/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +19 lines, -0 lines 0 comments Download
A components/browser_watcher/minidump_user_streams.h View 1 2 3 4 1 chunk +18 lines, -0 lines 0 comments Download
M components/browser_watcher/postmortem_minidump_writer_win.cc View 1 2 3 4 2 chunks +1 line, -7 lines 0 comments Download
M components/browser_watcher/stability_report_extractor.cc View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
A components/browser_watcher/stability_report_user_stream_data_source.h View 1 2 3 4 5 6 7 8 9 1 chunk +40 lines, -0 lines 0 comments Download
A components/browser_watcher/stability_report_user_stream_data_source.cc View 1 2 3 4 5 6 7 8 9 1 chunk +125 lines, -0 lines 0 comments Download
M components/crash/content/app/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M components/crash/content/app/DEPS View 1 chunk +1 line, -0 lines 0 comments Download
M components/crash/content/app/crashpad.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +9 lines, -4 lines 0 comments Download
M components/crash/content/app/crashpad.cc View 1 2 3 4 5 6 7 8 3 chunks +6 lines, -4 lines 0 comments Download
M components/crash/content/app/crashpad_mac.mm View 1 2 3 4 1 chunk +5 lines, -3 lines 0 comments Download
M components/crash/content/app/crashpad_win.cc View 1 2 3 4 5 6 2 chunks +9 lines, -3 lines 0 comments Download
M components/crash/content/app/run_as_crashpad_handler_win.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +13 lines, -7 lines 0 comments Download
M components/crash/content/app/run_as_crashpad_handler_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +26 lines, -4 lines 0 comments Download
M headless/app/headless_shell.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +2 lines, -1 line 0 comments Download
M headless/lib/headless_content_main_delegate.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +19 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 158 (111 generated)
manzagop (departed)
Hi Mark, This is the CP integration, still rough. Does the high level look ok, ...
3 months, 2 weeks ago (2017-05-08 16:03:24 UTC) #7
manzagop (departed)
Hi Mark, I've switched to the ptype approach. Please have a look. Thanks, Pierre-Antoine
3 months, 2 weeks ago (2017-05-09 20:42:40 UTC) #24
manzagop (departed)
Siggi, Do you think you could have a quick look? Thanks, Pierre-Antoine
3 months, 2 weeks ago (2017-05-10 16:07:19 UTC) #31
Sigurður Ásgeirsson
Didn't review in great detail yet, but looks overall sane to my eye. https://codereview.chromium.org/2867063002/diff/160001/build/secondary/third_party/crashpad/crashpad/minidump/BUILD.gn File ...
3 months, 2 weeks ago (2017-05-10 17:46:24 UTC) #34
manzagop (departed)
Addressed comments. Another look? https://codereview.chromium.org/2867063002/diff/160001/build/secondary/third_party/crashpad/crashpad/minidump/BUILD.gn File build/secondary/third_party/crashpad/crashpad/minidump/BUILD.gn (right): https://codereview.chromium.org/2867063002/diff/160001/build/secondary/third_party/crashpad/crashpad/minidump/BUILD.gn#newcode70 build/secondary/third_party/crashpad/crashpad/minidump/BUILD.gn:70: "test/minidump_user_extension_stream_util.cc", On 2017/05/10 17:46:23, Sigurður ...
3 months, 1 week ago (2017-05-10 23:06:12 UTC) #37
Sigurður Ásgeirsson
Another quick set of comments, still didn't review in great detail. https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc File components/crash/content/app/crashpad_win.cc (right): ...
3 months, 1 week ago (2017-05-11 13:48:32 UTC) #40
manzagop (departed)
Thanks! PTAL. https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc File components/crash/content/app/crashpad_win.cc (right): https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc#newcode113 components/crash/content/app/crashpad_win.cc:113: user_data_dir); On 2017/05/11 13:48:32, Sigurður Ásgeirsson wrote: ...
3 months, 1 week ago (2017-05-11 14:54:45 UTC) #43
Sigurður Ásgeirsson
nice - another batch of nits. https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc File components/crash/content/app/crashpad_win.cc (right): https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc#newcode113 components/crash/content/app/crashpad_win.cc:113: user_data_dir); On 2017/05/11 ...
3 months, 1 week ago (2017-05-11 15:33:41 UTC) #46
manzagop (departed)
Thanks! Another look? https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc File components/crash/content/app/crashpad_win.cc (right): https://codereview.chromium.org/2867063002/diff/160001/components/crash/content/app/crashpad_win.cc#newcode113 components/crash/content/app/crashpad_win.cc:113: user_data_dir); On 2017/05/11 15:33:40, Sigurður Ásgeirsson ...
3 months, 1 week ago (2017-05-11 19:14:54 UTC) #48
manzagop (departed)
Hi Greg, Could you comment on the use of install_static::GetUserDataDirectory and the chances of it ...
3 months, 1 week ago (2017-05-11 19:21:26 UTC) #51
Sigurður Ásgeirsson
Last round of nits, promise! https://codereview.chromium.org/2867063002/diff/220001/components/browser_watcher/stability_report_user_stream_data_source.cc File components/browser_watcher/stability_report_user_stream_data_source.cc (right): https://codereview.chromium.org/2867063002/diff/220001/components/browser_watcher/stability_report_user_stream_data_source.cc#newcode26 components/browser_watcher/stability_report_user_stream_data_source.cc:26: void GetStabilityFileName(const base::string16& user_data_dir, ...
3 months, 1 week ago (2017-05-11 19:28:29 UTC) #52
grt (UTC plus 2)
The CL description seems pretty thin. Could you provide more detail about what this Cl ...
3 months, 1 week ago (2017-05-11 21:08:16 UTC) #55
manzagop (departed)
Thanks! Addressed comments, but I have some questions. PTAL. https://codereview.chromium.org/2867063002/diff/220001/chrome/app/chrome_crash_reporter_client_win.cc File chrome/app/chrome_crash_reporter_client_win.cc (right): https://codereview.chromium.org/2867063002/diff/220001/chrome/app/chrome_crash_reporter_client_win.cc#newcode246 chrome/app/chrome_crash_reporter_client_win.cc:246: ...
3 months, 1 week ago (2017-05-12 19:27:32 UTC) #60
grt (UTC plus 2)
https://codereview.chromium.org/2867063002/diff/220001/chrome/app/chrome_crash_reporter_client_win.cc File chrome/app/chrome_crash_reporter_client_win.cc (right): https://codereview.chromium.org/2867063002/diff/220001/chrome/app/chrome_crash_reporter_client_win.cc#newcode246 chrome/app/chrome_crash_reporter_client_win.cc:246: CHECK(install_static::GetUserDataDirectory(&user_data_dir, nullptr)); On 2017/05/12 19:27:32, manzagop wrote: > On ...
3 months, 1 week ago (2017-05-15 13:03:18 UTC) #68
manzagop (departed)
Replying with a Q about the user-data-dir approach. https://codereview.chromium.org/2867063002/diff/220001/chrome/app/chrome_crash_reporter_client_win.cc File chrome/app/chrome_crash_reporter_client_win.cc (right): https://codereview.chromium.org/2867063002/diff/220001/chrome/app/chrome_crash_reporter_client_win.cc#newcode246 chrome/app/chrome_crash_reporter_client_win.cc:246: CHECK(install_static::GetUserDataDirectory(&user_data_dir, ...
3 months, 1 week ago (2017-05-15 13:43:46 UTC) #74
manzagop (departed)
Hi Scott, Greg mentioned you added the GetUserDataDirectory thunking [1] and might be able to ...
3 months, 1 week ago (2017-05-15 14:21:35 UTC) #76
grt (UTC plus 2)
On 2017/05/15 14:21:35, manzagop wrote: > Hi Scott, > > Greg mentioned you added the ...
3 months, 1 week ago (2017-05-16 07:18:25 UTC) #81
scottmg
On 2017/05/16 07:18:25, grt (UTC plus 2) wrote: > On 2017/05/15 14:21:35, manzagop wrote: > ...
3 months, 1 week ago (2017-05-16 15:42:15 UTC) #82
manzagop (departed)
On 2017/05/16 15:42:15, scottmg wrote: > On 2017/05/16 07:18:25, grt (UTC plus 2) wrote: > ...
3 months, 1 week ago (2017-05-16 20:45:52 UTC) #83
grt (UTC plus 2)
On 2017/05/16 20:45:52, manzagop wrote: > On 2017/05/16 15:42:15, scottmg wrote: > > On 2017/05/16 ...
3 months, 1 week ago (2017-05-17 08:36:32 UTC) #84
manzagop (departed)
On 2017/05/17 08:36:32, grt (UTC plus 2) wrote: > On 2017/05/16 20:45:52, manzagop wrote: > ...
3 months, 1 week ago (2017-05-17 17:51:50 UTC) #85
manzagop (departed)
This now has the change to only initialize the user_data_dir for specific processes. Please have ...
3 months ago (2017-05-18 19:21:51 UTC) #94
grt (UTC plus 2)
https://codereview.chromium.org/2867063002/diff/340001/chrome/app/chrome_crash_reporter_client_win.cc File chrome/app/chrome_crash_reporter_client_win.cc (right): https://codereview.chromium.org/2867063002/diff/340001/chrome/app/chrome_crash_reporter_client_win.cc#newcode246 chrome/app/chrome_crash_reporter_client_win.cc:246: install_static::InstallDetails::Get().user_data_dir(); since this is such a mouthful, i've been ...
3 months ago (2017-05-19 08:15:50 UTC) #95
scottmg
https://codereview.chromium.org/2867063002/diff/340001/chrome/app/chrome_crash_reporter_client_win.cc File chrome/app/chrome_crash_reporter_client_win.cc (right): https://codereview.chromium.org/2867063002/diff/340001/chrome/app/chrome_crash_reporter_client_win.cc#newcode1 chrome/app/chrome_crash_reporter_client_win.cc:1: // Copyright 2013 The Chromium Authors. All rights reserved. ...
3 months ago (2017-05-19 17:46:52 UTC) #96
manzagop (departed)
I've addressed comments. Also note: - I've added invalid_user_data_dir to install details - empty user ...
3 months ago (2017-05-19 22:02:07 UTC) #100
scottmg
https://codereview.chromium.org/2867063002/diff/340001/chrome/install_static/product_install_details.cc File chrome/install_static/product_install_details.cc (right): https://codereview.chromium.org/2867063002/diff/340001/chrome/install_static/product_install_details.cc#newcode145 chrome/install_static/product_install_details.cc:145: // DO NOT SUBMIT: how should we deal with ...
3 months ago (2017-05-19 22:28:06 UTC) #101
grt (UTC plus 2)
https://codereview.chromium.org/2867063002/diff/380001/chrome/install_static/install_util.cc File chrome/install_static/install_util.cc (right): https://codereview.chromium.org/2867063002/diff/380001/chrome/install_static/install_util.cc#newcode561 chrome/install_static/install_util.cc:561: return user_data_dir.append(L"\\Crashpad"); this would be bad if |user_data_dir| happened ...
3 months ago (2017-05-22 10:16:12 UTC) #104
manzagop (departed)
Thanks! PTAL. https://codereview.chromium.org/2867063002/diff/340001/chrome/install_static/product_install_details.cc File chrome/install_static/product_install_details.cc (right): https://codereview.chromium.org/2867063002/diff/340001/chrome/install_static/product_install_details.cc#newcode145 chrome/install_static/product_install_details.cc:145: // DO NOT SUBMIT: how should we ...
3 months ago (2017-05-23 14:59:14 UTC) #107
grt (UTC plus 2)
https://codereview.chromium.org/2867063002/diff/400001/chrome/install_static/user_data_dir.h File chrome/install_static/user_data_dir.h (right): https://codereview.chromium.org/2867063002/diff/400001/chrome/install_static/user_data_dir.h#newcode38 chrome/install_static/user_data_dir.h:38: // derivation inconsistencies. |invalid_user_data_directory| may be null if not ...
3 months ago (2017-05-23 15:25:03 UTC) #112
manzagop (departed)
Thanks! Another look? https://codereview.chromium.org/2867063002/diff/400001/chrome/install_static/user_data_dir.h File chrome/install_static/user_data_dir.h (right): https://codereview.chromium.org/2867063002/diff/400001/chrome/install_static/user_data_dir.h#newcode38 chrome/install_static/user_data_dir.h:38: // derivation inconsistencies. |invalid_user_data_directory| may be ...
3 months ago (2017-05-23 15:41:31 UTC) #114
grt (UTC plus 2)
lgtm https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc File headless/app/headless_shell.cc (right): https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc#newcode553 headless/app/headless_shell.cc:553: ::switches::kProcessType, switches::kUserDataDir); uber-nit: "::switches::kUserDataDir" for consistency with kProcessType
3 months ago (2017-05-24 06:58:49 UTC) #122
manzagop (departed)
Thanks for the review Greg! Did someone else want another pass? https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc File headless/app/headless_shell.cc (right): ...
3 months ago (2017-05-24 13:19:53 UTC) #123
manzagop (departed)
Hi Alex, Rob, Robert! Could you have an OWNERS' look? - Robert: chrome_elf/* - RobK: ...
3 months ago (2017-05-24 13:31:03 UTC) #127
grt (UTC plus 2)
https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc File headless/app/headless_shell.cc (right): https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc#newcode553 headless/app/headless_shell.cc:553: ::switches::kProcessType, switches::kUserDataDir); On 2017/05/24 13:19:53, manzagop wrote: > On ...
3 months ago (2017-05-24 13:35:02 UTC) #128
alex clarke (OOO till 29th)
headless/ LGTM % nit https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc File headless/app/headless_shell.cc (right): https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc#newcode553 headless/app/headless_shell.cc:553: ::switches::kProcessType, switches::kUserDataDir); On 2017/05/24 13:35:02, ...
3 months ago (2017-05-24 13:45:06 UTC) #129
manzagop (departed)
Alex: quick validation for you about the nit. :) https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc File headless/app/headless_shell.cc (right): https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc#newcode553 headless/app/headless_shell.cc:553: ...
3 months ago (2017-05-24 15:40:29 UTC) #132
alex clarke (OOO till 29th)
https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc File headless/app/headless_shell.cc (right): https://codereview.chromium.org/2867063002/diff/460001/headless/app/headless_shell.cc#newcode553 headless/app/headless_shell.cc:553: ::switches::kProcessType, switches::kUserDataDir); On 2017/05/24 15:40:29, manzagop wrote: > On ...
3 months ago (2017-05-24 16:30:48 UTC) #133
manzagop (departed)
+Robert Shield for realz Hi Robert, Could you have an OWNERS' look for chrome_elf? Thanks! ...
3 months ago (2017-05-24 18:01:00 UTC) #135
robertshield
chrome_elf LGTM + quick suggestion for minor cleanup https://codereview.chromium.org/2867063002/diff/460001/chrome/install_static/install_util.cc File chrome/install_static/install_util.cc (right): https://codereview.chromium.org/2867063002/diff/460001/chrome/install_static/install_util.cc#newcode530 chrome/install_static/install_util.cc:530: bool ...
3 months ago (2017-05-24 18:10:49 UTC) #136
rkaplow
lgtm histograms lg
3 months ago (2017-05-24 19:10:27 UTC) #137
manzagop (departed)
Thanks for the reviews! Scott, Mark: is this CL OK with you? https://codereview.chromium.org/2867063002/diff/460001/chrome/install_static/install_util.cc File chrome/install_static/install_util.cc ...
3 months ago (2017-05-24 21:48:47 UTC) #139
scottmg
lgtm I'm not sure how we'll do this for non-Windows, but this looks fine for ...
2 months, 4 weeks ago (2017-05-25 18:04:56 UTC) #149
Mark Mentovai
LGTM as well. I only focused primarily on components/crash.
2 months, 4 weeks ago (2017-05-25 18:26:25 UTC) #150
manzagop (departed)
Thanks for the review!
2 months, 4 weeks ago (2017-05-25 18:52:29 UTC) #151
manzagop (departed)
I've made a final manual test. I see no issues generating a crash or reading ...
2 months, 4 weeks ago (2017-05-25 19:32:11 UTC) #152
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2867063002/520001
2 months, 4 weeks ago (2017-05-25 19:36:14 UTC) #155
commit-bot: I haz the power
2 months, 4 weeks ago (2017-05-25 19:43:47 UTC) #158
Message was sent while issue was closed.
Committed patchset #23 (id:520001) as
https://chromium.googlesource.com/chromium/src/+/fecdf607e706474b65a4d26e554f...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b